{"swagger":"2.0","info":{"version":"1","title":"24 seven integrations","description":"This swagger specification documents the two endpoints that should be available for every individual integration. <br /><br /> This describes the endpoint structure as defined by the back-end of the first few integrations. The front-end was created based on these specifications. All new back-end integrations should be implemented using the same specification. <br /><br/> The exact urls of the endpoints _may_ be different, but the way they work **_must_** be the same. "},"host":"virtserver.swaggerhub.com","basePath":"/JourneyWorks/247-Integrations/1","schemes":["https"],"paths":{"/Settings/Get":{"post":{"tags":["Settings"],"summary":"Get Setting Values","description":"Obtain the current setting values for the integration. <br /><br />**Your setting fields**<br/>Properties _FieldONE_, _FieldTWO_ and _FieldXYZ_ are fake setting fields, which you should replace with the setting fields of your specific integration.","operationId":"GetSettings","produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Passing the SessionID","required":true,"schema":{"type":"object","properties":{"sessionId":{"type":"string"}}}}],"responses":{"200":{"description":"OK","schema":{"type":"object","properties":{"Result":{"type":"object","properties":{"Enable":{"type":"boolean"},"FieldONE":{"type":"string"},"FieldTWO":{"type":"string"},"FieldXYZ":{"type":"string"}}}}}},"403":{"description":"Invalid sessionId"}}}},"/Settings/Set":{"post":{"tags":["Settings"],"summary":"Store Setting Values","description":"Store the new setting values for the integration. <br/><br/> Please look very closely at the response examples & their formats!<br /><br />**Your setting fields**<br/>Properties _FieldONE_, _FieldTWO_ and _FieldXYZ_ are fake setting fields, which you should replace with the setting fields of your specific integration.<br/><br/>**Invalid sessionId**<br/>If the `sessionId` of the request is invalid, set the `Error` property exactly to `Session value is not correct.`. <br/><br/>**Verification of integration credentials**<br/>The endpoint should verify whether the integration credentials are valid. If not, it should indicate this by setting the `CheckSuccess` property to `false`. This is separate from the `success`","operationId":"SetSettings","produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Passing the SessionID and fields","required":true,"schema":{"type":"object","properties":{"sessionId":{"type":"string"},"Enable":{"type":"boolean"},"FieldONE":{"type":"string"},"FieldTWO":{"type":"string"},"FieldXYZ":{"type":"string"}}}}],"responses":{"200":{"description":"OK & valid credentials","schema":{"$ref":"#/definitions/MailChimpSetSettings"},"examples":{"Enabled & valid credentials":{"success":true,"Error":"","Result":{"CheckSuccess":true,"Enable":true,"FieldONE":"a-valid-id","FieldTWO":"a-valid-key","FieldXYZ":"some-meta-setting"}},"Response valid (because settings _are_ stored), but credentials are invalid = also not enabled":{"success":true,"Error":false,"Result":{"CheckSuccess":false,"Enable":false,"FieldONE":"a-valid-id","FieldTWO":"an-invalid-key","FieldXYZ":"some-meta-setting"}},"Invalid sessionId":{"success":false,"Error":"Session value is not correct."}}}}}}},"definitions":{"MailChimpSetSettings":{"type":"object","properties":{"success":{"type":"boolean"},"Error":{"type":"string","default":""},"Result":{"type":"object","properties":{"CheckSuccess":{"type":"boolean"},"Enable":{"type":"boolean"},"FieldONE":{"type":"string"},"FieldTWO":{"type":"string"},"FieldXYZ":{"type":"string"}}}}}}}